import torch
import torch.nn as nn

class Model(nn.Module):
    def __init__(self, delta=1.0):
        super().__init__()
        self.loss = nn.HuberLoss(reduction='mean', delta=delta)

    def forward(self, x: torch.Tensor, y: torch.Tensor) -> torch.Tensor:
        return self.loss(x, y)

batch_size = 512
feature_dim = 4096

def get_inputs():
    x = torch.randn(batch_size, feature_dim, dtype=torch.float32)
    y = torch.randn(batch_size, feature_dim, dtype=torch.float32)
    return [x, y]

def get_init_inputs():
    return [1.0]